package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationKpiD;
import com.artfess.cqlt.model.QfOperationKpiM;
import com.artfess.cqlt.vo.FaReportRespVo;
import com.artfess.cqlt.vo.FaTargetRespVo;
import com.artfess.cqlt.vo.ReportReqVo;

import java.util.List;

/**
 * 运营--KPI数据填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-14
 */
public interface QfOperationKpiMManager extends BaseManager<QfOperationKpiM> {

    boolean importExcel(List<QfOperationKpiD> list, String mainId);

    boolean updateStatus(QfOperationKpiM t);

    boolean insertInfo(QfOperationKpiM t);

    boolean updateInfo(QfOperationKpiM t);

    List<FaTargetRespVo> data(ReportReqVo t);

    List<FaTargetRespVo> fromUnderData(ReportReqVo t);

    List<FaReportRespVo> enterpriseData(ReportReqVo t);
}
